# Uses of Interface
org.apache.qpid.proton.codec.BooleanType.BooleanEncoding

Packages that use BooleanType.BooleanEncoding
Package
Description
org.apache.qpid.proton.codec

## Uses of BooleanType.BooleanEncoding in org.apache.qpid.proton.codec

Methods in org.apache.qpid.proton.codec that return BooleanType.BooleanEncoding
Modifier and Type
Method
Description
`BooleanType.BooleanEncoding`
BooleanType.`getCanonicalEncoding()`
`BooleanType.BooleanEncoding`
BooleanType.`getEncoding(boolean val)`
`BooleanType.BooleanEncoding`
BooleanType.`getEncoding(Boolean val)`
Methods in org.apache.qpid.proton.codec that return types with arguments of type BooleanType.BooleanEncoding
Modifier and Type
Method
Description
`Collection<BooleanType.BooleanEncoding>`
BooleanType.`getAllEncodings()`